//George Koutsogiannakis
//Date: 3/22/07
import java.io.*;
import java.net.*;
import java.util.*;

public class Client 
{
	
	private static InetAddress host;
	private static final int PORT=5000;
	
	public static void main(String[] args) 
	{
		System.out.println("Client is running");

		try
		{
			host=InetAddress.getLocalHost();
			System.out.println("The host is :"+" "+host);
		}
		catch(UnknownHostException uhe)
		{
			System.out.println("Host ID not found");
			System.exit(1);
		}
		sendMessages();



	}

	private static void sendMessages()
	{

		Socket clientsocket=null;
		
		try
		{
			
			clientsocket=new Socket(InetAddress.getByName("127.0.0.1"), PORT);

			Scanner networkInput=new Scanner(clientsocket.getInputStream());

			PrintWriter networkoutput=new PrintWriter(clientsocket.getOutputStream(), true);

			//set up steam for keyboard entry

			Scanner userEntry=new Scanner(System.in);

			String message, response;

			do
			{

				System.out.println("Enter Message (or QUIT to exit): ");

				message= userEntry.nextLine();
				//send message to server

				networkoutput.println(message);

				//receive message from server

				response=networkInput.nextLine();

				System.out.println("The server 's response is"+" "+response);

			}while (!message.equals("QUIT"));
			
		}//end of try
		catch(IOException ioe)
		{
		  ioe.printStackTrace();
		}

		finally
		{

			try
			{

				System.out.println("Closing Connection.....");
				clientsocket.close();

			}
			catch(IOException ioe)
			{

				System.out.println("Unable to clos esocket");
				System.exit(1);
			}
		}

	}//end of method
}//end of class
