//George koutsogiannakis
//Date: 3/22/07

import java.io.*;
import java.net.*;
import java.util.*;

public class  ClientThread extends Thread
{
	
	private Socket client;
	private Scanner input;
	private PrintWriter output;

	public ClientThread(Socket socket)
	{

		client=socket;
		try
		{
			input=new Scanner(client.getInputStream());
			output=new PrintWriter(client.getOutputStream(), true);
		}
		catch(IOException ioe)
		{
			ioe.printStackTrace();
		}
	}

	public void run()
	{

		String received;
		Thread currentThread=Thread.currentThread();
		String str=currentThread.getName();
		System.out.println("The current thread is"+" "+str);
		do
		{
			received=input.nextLine();
			//echo rceived message back to client
			output.println("ECHO:"+received);
			//keep receiving until "QUIT" message is received from client
		}while(!received.equals("QUIT"));

		try
		{
			if(client!=null)
			{
				System.out.println("Closing Dowmn Connection...");
				client.close();
			}
		}
		catch(IOException ioe)
		{
		 System.out.println("Unable to disconnect");
		}
	}
}
	
