//George Koutsogiannakis
//Date: March 22, 2007

import java.io.*;
import java.net.*;
import java.util.*;

public class MultiThreadedServer
{

	private static ServerSocket serversocket;
	private static final int PORT=5000;
	
	public static void main(String[] args) throws IOException
	{
		System.out.println("Server is up and running");
		try
		{

			serversocket=new ServerSocket(PORT, 100);
		}
		catch(IOException ioe)
		{
			System.out.println("Unable to open port");
			System.exit(1);
		}
		do
		{
			Socket client= serversocket.accept();
			System.out.println("New Client Accepted");
			//create thread for this client
			ClientThread ct=new ClientThread(client);
			ct.start();
		}while(true);
	}
}
